@import "libs/shared/assets/src/global-style/variable";

.search-container {
    background: $bg-modal-header-title;
    padding: 22px 0px 22px 0px;
    border-radius: 8px;
    &__row {
        display: flex;
        align-items: flex-end;
        &--col {
            padding-left: 24px;
        }

        &--col-button {
            margin-top: 20px;
            padding-left: 8px;
            display: flex;
            justify-content: center;
        }
    }
    &__label {
        color: $bg-gray-body;
        font-style: normal;
        font-weight: 600;
        font-size: 14px;
        line-height: 20px;
        font-family: avertaB, sans-serif;
    }
    ::ng-deep {
        .input__label {
            color: $bg-gray-body !important;
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
        }
        .ant-select-selector {
            border-radius: 10px !important;
            height: 40px !important;
            display: flex;
            align-items: center;
        }
        .ant-input {
            border-radius: 10px !important;
            height: 40px !important;
        }
        .ant-select-item,
        .ant-select-item-empty {
            display: block;
            min-height: 32px;
            padding: 5px 12px;
            font-size: 14px;
            line-height: 22px;
            position: relative;
            font-weight: 400;
        }
    }
}

.position-relative {
    position: relative;
}
.icon-style {
    border-radius: 50%;
    position: absolute;
    right: 0.5rem;
    top: 2.6rem;
    color: $bg-content-default;
    font-size: 12px;
    background: $bg-gray-rgb;
    cursor: pointer;
}
.margin-top {
    margin-top: 25px;
}
.margin-bottom {
    margin-bottom: 15px;
}
.btn-fill {
    display: flex;
    align-items: center;
    margin: 0px 20px 20px 20px;
    ::ng-deep {
        .ant-switch-checked {
            background-color: $bg-primary-darker;
        }
    }
    .text {
        padding-left: 15px;
        font-weight: 600;
    }
}

.table-container {
    margin-top: 24px;
    ::ng-deep {
        .input__group--no-label {
            min-height: 0px !important;
        }
        .ant-input {
            height: 40px !important;
        }
    }
    .ant-table-tbody > tr > td {
        padding: 8px;
    }
    &__col-text-ellipsis {
        white-space: nowrap;
        overflow: hidden !important;
        text-overflow: ellipsis;
        min-width: 428px;
        max-width: 500px;
    }
}
.padding-right {
    padding-right: 15px;
}
.border-bottom {
    border-bottom: 1px solid white !important;
}
.border-left {
    border-left: 1px solid white;
}
.border-right {
    border-right: 1px solid white;
}
.center-status {
    display: flex;
    justify-content: center;
}
